Bug 68124 - Login authentican takes a long time.
Login authentican takes a long time.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Aaron Brown
:
Depends On:
Blocks: 67218 79579 CambridgeTarget
  Show dependency treegraph
 
Reported: 2002-07-06 14:37 EDT by Need Real Name
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-10 09:06:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-07-06 14:37:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020625

Description of problem:
When connecting to a limbo machine from across the network it can take nearly a
minute to receive the "enter password" prompt. Connecting outwards from the
limbo machine to a valhalla machine this takes less than a second.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.ssh <machine>
2.
3.
	

Actual Results:  System "waits" for 60 seconds to give the enter password prompt.

Expected Results:  Should take less than a second.

Additional info:

The two computers are connected across an internal network running at 10Mbps.

I have noticed two other (perhaps related) issues regarding authentication.

1. Logging in at the console on the limbo machine. If you enter an invalid
user/password combination, the system will not reprompt you for a login and tell
you it was incorrect for about 60 seconds.

2. In X windows, if you lock the screen then type in an incorrect password the
system takes about 60 seconds to tell you.

Given that the timings are around the same, perhaps this is a wider issue with
authentication... I am only assuming that it is a PAM issue.
Comment 1 Need Real Name 2002-08-04 05:37:34 EDT
This might be related to bug #69315 which I've also reported...
Comment 2 Nalin Dahyabhai 2002-08-13 16:36:46 EDT
Does your hostname resolve correctly for both the client and the server (the
system you're attempting to log into) on the server?

For example, can the server look up a hostname for the address of each network
interface listed by /sbin/ifconfig (check using "host 10.0.0.0", using the
interface's network address instead of 10.0.0.0)?

Can the server and client both resolve the resulting hostnames (check using
"host examplename", using the names returned above instead of examplename) and
their own host names (using "host `hostname`" and "host `hostname -f`")?

If any of these checks fail, then you're most likely hitting timeouts in DNS
lookups, and it's a configuration error rather than a bug.
Comment 3 Tomas Mraz 2004-11-10 09:06:12 EST
This seems to me as hostname misconfiguration as Nalin wrote above and
the user didn't answer to that.

Note You need to log in before you can comment on or make changes to this bug.